/*
    svgrender - QT4 Svg rendering helper for Moodin

    Copyright (c) 2007      by Gustavo Pichorim Boiko <boiko@mandriva.com>

    *************************************************************************
    *                                                                       *
    * This library is free software; you can redistribute it and/or         *
    * modify it under the terms of the GNU Lesser General Public            *
    * License as published by the Free Software Foundation; either          *
    * version 2 of the License, or (at your option) any later version.      *
    *                                                                       *
    *************************************************************************
*/

#include <QImage>
#include <QPainter>
#include <QSvgRenderer>
#include <iostream>

using namespace std;

void usage(char *name)
{
	cerr << "Usage : " << name << " width height svgfilename outputfilename" << endl;
	cerr << "Please use full path name for svgfilename" << endl;
}

int main(int argc, char **argv)
{
	if (argc != 5)
	{
		usage(argv[0]);
		return 1;
	}

	int width = QString(argv[1]).toInt();
	int height = QString(argv[2]).toInt();
	QString svgFile = argv[3];
	QString outputFile = argv[4];

	QSvgRenderer render(svgFile);
	if (!render.isValid())
		return 1;

	QImage img(width, height, QImage::Format_ARGB32);
	QPainter p(&img);

	render.render(&p);

	return img.save(outputFile);
}
